import os

# os.environ["state"] = "dev"
# os.environ["config"] = '{\"TZ\": \"Asia/Kolkata\", \"MONGO_URI\": \"mongodb://192.168.3.220:2717\", ' \
#                        '\"MONGO_DATABASE\": \"ilens_ai\", \"MONGO_COLLECTION\": \"janusDeployment\", \"MONGO_KEY\": ' \
#                        '\"deploymentId\", \"MONGO_VALUE\": \"Monitoring_Camera_7b861450\", \"MONGO_COLL\": ' \
#                        '\"serviceConfiguration\", \"MONGO_DB\": \"ilens_ai\"} '
from edge_engine.edge_processor import ExecutePipeline
from edge_engine.edge_processor import Pubs
from scripts.core.cans_model import SRF_Cans
from edge_engine.common.config import EDGE_CONFIG

if __name__ == '__main__':
    pubs = Pubs()
    mod = SRF_Cans(config=EDGE_CONFIG, pubs=pubs,
                   device_id=EDGE_CONFIG['deviceId'])
    ex = ExecutePipeline(mod)
    ex.run_model()
